#ifndef		__AA_DRAW_H__
#define		__AA_DRAW_H__

#include <allegro.h>

void aa_circle(BITMAP *canvas, int x, int y, int r, float thickness, int col, float aa);
void aa_circlefill(BITMAP *canvas, int x, int y, float r, int col, float aa);
void aa_ellipse(BITMAP *canvas, int xa, int ya, int xb, int yb, int r, float thickness, int col, float aa);
void aa_line(BITMAP *canvas, int x1, int y1, int x2, int y2, float thickness, int col, float aa, int caps=0xff);

#endif		//__AA_DRAW_H__
